# List all email settings

Lists all sender email address settings for the workspace

Endpoint: GET /emails
Version: 2.15
Security: bearerAuth

## Header parameters:

  - `Intercom-Version` (string)
    Intercom API version.By default, it's equal to the version set in the app package.
    Enum: "1.0", "1.1", "1.2", "1.3", "1.4", "2.0", "2.1", "2.2", "2.3", "2.4", "2.5", "2.6", "2.7", "2.8", "2.9", "2.10", "2.11", "2.12", "2.13", "2.14", "2.15", "Preview"

## Response 200 fields (application/json):

  - `type` (string)
    The type of object
    Example: "list"

  - `data` (array)

  - `data.type` (string)
    The type of object
    Example: "email_setting"

  - `data.id` (string)
    Unique email setting identifier
    Example: "10"

  - `data.email` (string)
    Full sender email address
    Example: "support@company.com"

  - `data.verified` (boolean)
    Whether the email address has been verified
    Example: true

  - `data.domain` (string)
    Domain portion of the email address
    Example: "company.com"

  - `data.brand_id` (string)
    Associated brand identifier
    Example: "10"

  - `data.forwarding_enabled` (boolean)
    Whether email forwarding is active
    Example: true

  - `data.forwarded_email_last_received_at` (integer,null)
    Unix timestamp of last forwarded email received (null if never)
    Example: 1710498600

  - `data.created_at` (integer)
    Unix timestamp of creation
    Example: 1692530400

  - `data.updated_at` (integer)
    Unix timestamp of last modification
    Example: 1710498600

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: "error.list"

  - `request_id` (string,null)
    Example: "f93ecfa8-d08a-4325-8694-89aeb89c8f85"

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: "unauthorized"

  - `errors.message` (string,null)
    Optional. Human readable description of the error.
    Example: "Access Token Invalid"

  - `errors.field` (string,null)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: "email"


